> For the complete documentation index, see [llms.txt](https://docs.swingsoftware.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.swingsoftware.com/pdf-converter-for-notes/troubleshooting/error-messages/error-referenceerror-openlinkpriv-is-not-defined.md).

# Error - ReferenceError: openLInkPriv is not defined

When a doclink is clicked in a PDF file, the following error message appears:

![](https://3331713008-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-MlCAurE6RSGoCmtmAET%2F-MlFNfxGQ8OxY1sALJvb%2F-MlFO14n8Lqd7hoQw-98%2Fimage.png?alt=media\&token=6714ad4e-3873-471d-afa6-3164f9ee16ef)

The error is caused due to a missing swpdfc.js file which normally installed in the Adobe Reader installation folder automatically.&#x20;

To resolve the issue, create the `swpdfc.js` file (see the code below) and copy it manually to the Adobe Reader installation folder. The default path to the folder is normally "C:\Program Files (x86)\Adobe\Reader 11.0\Reader\Javascripts", however the actual path on your system may be different.

```javascript
var openLinkPriv = app.trustedFunction( function(dbId, docUnid) {
	app.beginPriv();
	try {
		var depth = 50;
		try {
			depth = this.path.split("/").length;
		}
		catch(e) {
		}
		
		var dirUp = "../";
		var xmlRoot = "";
		var xmlFile = "doclinks.xml";
		var xmlStream = null;
		var count = 0;
		do {
			try {
				xmlStream = util.readFileIntoStream(xmlFile);
			} catch(e) {
				xmlStream = null;
			}
			
			if(xmlStream == null) {
				xmlRoot = dirUp.concat(xmlRoot);
				xmlFile = dirUp.concat(xmlFile);
			}
			
			count++;
		} while(xmlStream == null && count < depth);
		
		if (xmlStream == null) {
			app.alert("XML not found");
			return;
		}
		
		var xml = XMLData.parse(util.stringFromStream(xmlStream), false);
		var xPath = "string(//data/element[@id = '";
		xPath = xPath.concat(dbId);
		xPath = xPath.concat("-");
		xPath = xPath.concat(docUnid);
		xPath = xPath.concat("']/location)");
		var location = XMLData.applyXPath(xml, xPath);
		location = xmlRoot.concat(location);
		app.openDoc(location);
	} catch(e) {
		app.alert("Linked document could not be found: " + location);
	}
	app.endPriv();
});
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.swingsoftware.com/pdf-converter-for-notes/troubleshooting/error-messages/error-referenceerror-openlinkpriv-is-not-defined.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
